package gui;

import clientP2P.*;
import clientP2P.ClientInterface;
import clientP2P.ClientManagement;
import tools.SearchFile;
import tools.LogLevel;
import tools.Logger;
import localException.ProtocolError;
import localException.InternalError;
import localException.ProtocolError;
import localException.SizeError;
import localException.TransmissionError;
import localException.VersionError;
import localException.SocketClosed;
import remoteException.EmptyFile;
import remoteException.EmptyDirectory;
import remoteException.InternalRemoteError;
import remoteException.NotFound;
import remoteException.ProtocolRemoteError;
import remoteException.VersionRemoteError;
import remoteException.NotATracker;
import remoteException.UnknownHost;
import java.io.IOException;
import java.net.UnknownHostException;
import java.net.SocketException;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class DownloadFileGUI extends JPanel{

	private String fileToDownload;
	private ClientManagement clientManagement;
	private Logger logger;

	public DownloadFileGUI(String fileToDownload, ClientManagement clientManagement, Logger logger){
		this.fileToDownload = fileToDownload;
		this.clientManagement = clientManagement;
		this.logger = logger;
	}

	public void download(){
			try {
					clientManagement.download(fileToDownload);

					ErrorFrame erreur = new ErrorFrame("File " + fileToDownload + " sucessfully downloaded");
			} catch (NumberFormatException e) {
					ErrorFrame erreur = new ErrorFrame("File " + fileToDownload + " unsucessfully downloaded, wrong number");
			}
	}

}
